[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.DoEndDrag

Performs actions needed when a drag operation is completed for the control.

## Declaration

Source position: comctrls.pp line 3604

`protected procedure TCustomTreeView.DoEndDrag(`
`Target: TObject;`
`X: Integer;`
`Y: Integer`
`); override;`

## Description

DoEndDrag is an overridden method used to perform actions needed when a drag operation is completed for the control. DoEndDrag calls the inherited method on entry to signal the OnEndDrag event handler (when assigned). DoEndDrag ensures that the previous drop target is reset, and that the drag scroll timer is disabled. Tooltips are restored to their previous values.

## See also

TControl.DoEndDrag |  | Signals the OnEndDrag event handler.